<?php

namespace Anyone\Onlyone\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MasterTransformer extends TransformerAbstract
{
    public function transform(\Anyone\Onlyone\Models\Master $master)
    {
        return [
            'id'                => $master->getRouteKey(),
            'key'               => [
                'public'    => $master->getPublicKey(),
                'route'     => $master->getRouteKey(),
            ], 
            'ID'                => $master->ID,
            'name'              => $master->name,
            'address'           => $master->address,
            'url'               => [
                'public'    => trans_url('onlyone/'.$master->getPublicKey()),
                'user'      => guard_url('onlyone/master/'.$master->getRouteKey()),
            ], 
            'status'            => trans('app.'.$master->status),
            'created_at'        => format_date($master->created_at),
            'updated_at'        => format_date($master->updated_at),
        ];
    }
}