<?php

namespace Anyone\Onlyone\Workflow;

use Anyone\Onlyone\Models\Master;
use Anyone\Onlyone\Notifications\MasterWorkflow as MasterNotifyer;
use Notification;

class MasterNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Master $master
     *
     * @return void
     */
    public function complete(Master $master)
    {
        return Notification::send($master->user, new MasterNotifyer($master, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Master $master
     *
     * @return void
     */
    public function verify(Master $master)
    {
        return Notification::send($master->user, new MasterNotifyer($master, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Master $master
     *
     * @return void
     */
    public function approve(Master $master)
    {
        return Notification::send($master->user, new MasterNotifyer($master, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Master $master
     *
     * @return void
     */
    public function publish(Master $master)
    {
        return Notification::send($master->user, new MasterNotifyer($master, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Master $master
     *
     * @return void
     */
    public function archive(Master $master)
    {
        return Notification::send($master->user, new MasterNotifyer($master, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Master $master
     *
     * @return void
     */
    public function unpublish(Master $master)
    {
        return Notification::send($master->user, new MasterNotifyer($master, 'unpublish'));;

    }
}
